import javax.swing.*;
import java.io.PrintStream;

/**
 * The console class that handles printing to the JTextArea instead of the command line.
 *
 * @author newbiehacker
 * @author moparisthebest
 */
public class Console extends PrintStream {
    private JTextArea jt;
    private JScrollPane scroller;

    public Console(JTextArea jt, JScrollPane scroller) {
        super(System.out);
        this.jt = jt;
        this.scroller = scroller;
    }

    public void println(Object o) {
        jt.append(o.toString() + "\n");
        adjustScroller();
    }

    public void println(String s) {
        println((Object) s);
    }

    public void println() {
        println((Object) "println\n");
    }

    public void print(Object o) {
        jt.append(o.toString());
    }

    public void print(String s) {
        print((Object) s);
    }

    public void adjustScroller() {
        scroller.getVerticalScrollBar().setValue(scroller.getVerticalScrollBar().getMaximum());
        // scroller.getHorizontalScrollBar().setValue(scroller.getHorizontalScrollBar().getMaximum());
    }
}